Duplicate showback
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/duplicate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"showback": {
"id": 2,
"name": "Engineering (copy)",
"active": true,
"allocationTagType": null,
"tagKeys": [],
"extraValues": [],
"hideValues": [],
"removedShowbackValues": [],
"baseFilterJson": null,
"isLocked": false,
"created": "2026-07-17T12:00:00.000Z",
"modified": "2026-07-17T12:00:00.000Z",
"ruleCount": 2
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Cost allocation
Duplicate showback
POST
https://api.nops.io
/
v1
/
cost-allocation
/
{id}
/
duplicate
Duplicate showback
curl --request POST \
--url https://api.nops.io/v1/cost-allocation/{id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.nops.io/v1/cost-allocation/{id}/duplicate"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.nops.io/v1/cost-allocation/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/cost-allocation/{id}/duplicate"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"showback": {
"id": 2,
"name": "Engineering (copy)",
"active": true,
"allocationTagType": null,
"tagKeys": [],
"extraValues": [],
"hideValues": [],
"removedShowbackValues": [],
"baseFilterJson": null,
"isLocked": false,
"created": "2026-07-17T12:00:00.000Z",
"modified": "2026-07-17T12:00:00.000Z",
"ruleCount": 2
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Showback ID
Response
Duplicate showback
JSON object
Was this page helpful?
⌘I